package com.ruoyi.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套餐对象 tb_member
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long memId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String memName;

    /** 0企业征信1黄金2钻石 */
    @Excel(name = "0企业征信1黄金2钻石")
    private Integer memLevel;

    /** 价格 */
    @Excel(name = "价格")
    private Long memNewPrice;

    /** 原价 */
    @Excel(name = "原价")
    private Long memOldPrice;

    /** 0企业征信1月底2季度3年度 */
    @Excel(name = "0企业征信1月底2季度3年度")
    private Integer memType;

    /** 折扣（1是原价） */
    @Excel(name = "折扣", readConverterExp = "1=是原价")
    private BigDecimal memDiscount;

    /** 折扣描述 */
    @Excel(name = "折扣描述")
    private String memDesc;

    /** 状态（1启用，0停用） */
    @Excel(name = "状态", readConverterExp = "1=启用，0停用")
    private Integer state;

    public void setMemId(Long memId) 
    {
        this.memId = memId;
    }

    public Long getMemId() 
    {
        return memId;
    }
    public void setMemName(String memName) 
    {
        this.memName = memName;
    }

    public String getMemName() 
    {
        return memName;
    }
    public void setMemLevel(Integer memLevel) 
    {
        this.memLevel = memLevel;
    }

    public Integer getMemLevel() 
    {
        return memLevel;
    }
    public void setMemNewPrice(Long memNewPrice) 
    {
        this.memNewPrice = memNewPrice;
    }

    public Long getMemNewPrice() 
    {
        return memNewPrice;
    }
    public void setMemOldPrice(Long memOldPrice) 
    {
        this.memOldPrice = memOldPrice;
    }

    public Long getMemOldPrice() 
    {
        return memOldPrice;
    }
    public void setMemType(Integer memType) 
    {
        this.memType = memType;
    }

    public Integer getMemType() 
    {
        return memType;
    }
    public void setMemDiscount(BigDecimal memDiscount) 
    {
        this.memDiscount = memDiscount;
    }

    public BigDecimal getMemDiscount() 
    {
        return memDiscount;
    }
    public void setMemDesc(String memDesc) 
    {
        this.memDesc = memDesc;
    }

    public String getMemDesc() 
    {
        return memDesc;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memId", getMemId())
            .append("memName", getMemName())
            .append("memLevel", getMemLevel())
            .append("memNewPrice", getMemNewPrice())
            .append("memOldPrice", getMemOldPrice())
            .append("memType", getMemType())
            .append("memDiscount", getMemDiscount())
            .append("memDesc", getMemDesc())
            .append("remark", getRemark())
            .append("state", getState())
            .toString();
    }
}
